<?php
/**
 * Rascals MetaBox
 *
 * Register Page Metabox
 *
 * @author Rascals Themes
 * @category Core
 * @package Noisa Toolkit
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed diCustomizer
}


/*
==================================================
	Metaboxes options
================================================== */
function noisa_toolkit_mb_page() {

	$rascals_mb = NoisaToolkit::getInstance()->metaboxes;


	/*
	==================================================
		Single Page 
	================================================== */

	/* Meta info */ 
	$meta_info = [
		'title'    => esc_html__( 'Page Options', 'noisa-toolkit' ), 
		'id'       => 'rascals_mb_page', 
		'page'     => [
			'page',
		], 
		'context'  => 'normal', 
		'priority' => 'high', 
		'callback' => '', 
		'template' => [ 
			'default',
		],
	];

	/* Box Filter */
	if ( has_filter( 'rascals_mb_page_box' ) ) {
		$meta_info = apply_filters( 'rascals_mb_page_box', $meta_info );
	}

	/* Meta options */
	$meta_options = [


		/* Import: Tab: Intro */
		noisa_toolkit_mb_common( 'intro_tab' ),

		/* Import: Layout Tab */ 
		noisa_toolkit_mb_common( 'layout_tab' ),

		/* Import: Facebook Sharing */
		noisa_toolkit_mb_common( 'facebook_sharing_tab' ),
		

	];

	/* Options Filter */
	if ( has_filter( 'rascals_mb_page_opts' ) ) {
		$meta_options = apply_filters( 'rascals_mb_page_opts', $meta_options );
	}

	/* Add class instance */
	return new RascalsBox( $meta_options, $meta_info );
}

return noisa_toolkit_mb_page();
