<?php
/**
 * Rascals MetaBox
 *
 * Register Tracks Metabox
 *
 * @author Rascals Themes
 * @category Core
 * @package Noisa Toolkit
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed diCustomizer
}


/*
==================================================
	Metaboxes options
================================================== */
function noisa_toolkit_mb_tracks() {

	$rascals_mb = NoisaToolkit::getInstance()->metaboxes;
	

	/*
	==================================================
	Tracks 
	================================================== */

	/* Meta info */ 
	$meta_info = [
		'title'    => esc_html__( 'Tracks Options', 'noisa-toolkit' ), 
		'id'       => 'rascals_mb_tracks', 
		'page'     => [
			'noisa_tracks',
		], 
		'context'  => 'normal', 
		'priority' => 'high', 
		'callback' => '', 
		'template' => [ 
			'post',
		],
	];

	/* Box Filter */
	if ( has_filter( 'rascals_mb_tracks_box' ) ) {
		$meta_info = apply_filters( 'rascals_mb_tracks_box', $meta_info );
	}

	/* Meta options */
	$meta_options = [


		/*
		TAB: SLIDER IMAGES
		-------------------------------- */
		[
			'name' => esc_html__( 'Tracks', 'noisa-toolkit' ),
			'id'   => 'tab-tracks',
			'type' => 'tab_open',
		],

		[ 
			'id'             => '_audio_tracks',
			'type'           => 'media_manager',
			'media_type'     => 'audio', // images / audio / slider
			'layout'         => 'list', // grid, list
			'display_fields' => [
				[
					'title'   => esc_html__( 'Cover', 'noisa-toolkit' ),
					'name'    => 'cover',
					'type'    => 'image',
					'classes' => '',
				],
				[
					'title'   => esc_html__( 'Title', 'noisa-toolkit' ),
					'name'    => 'title',
					'std'     => esc_html__( 'Title', 'noisa-toolkit' ),
					'type'    => 'text',
					'classes' => '',
				],
				[
					'title'   => esc_html__( 'Artist', 'noisa-toolkit' ),
					'name'    => 'artists',
					'std'     => esc_html__( 'Artist', 'noisa-toolkit' ),
					'type'    => 'text',
					'classes' => '',
				],


			],
			'buttons'        => [
				[
					'type'  => 'explorer', // explorer, custom
					'label' => esc_html__( 'Add Tracks', 'noisa-toolkit' ),
					'title' => esc_html__( 'Add music tracks from media libary', 'noisa-toolkit' ),
					'color' => 'blue',
				],
				[
					'type'  => 'custom', // explorer, custom
					'label' => esc_html__( 'Add Custom Track', 'noisa-toolkit' ),
					'title' => esc_html__( 'Add tracks from custom link', 'noisa-toolkit' ),
					'color' => 'green',
				],
			],
			'msg_text'       => esc_html__( 'Currently you don\'t have any audio tracks, you can add them by clicking on the button below.', 'noisa-toolkit' ),
			'desc'           => esc_html__( 'Add audio tracks.', 'noisa-toolkit' ),
		],
			
		[
			'type' => 'tab_close',
		],

		

	];

	/* Options Filter */
	if ( has_filter( 'rascals_mb_tracks_opts' ) ) {
		$meta_options = apply_filters( 'rascals_mb_tracks_opts', $meta_options );
	}

	/* Add class instance */
	return new RascalsBox( $meta_options, $meta_info );
}

return noisa_toolkit_mb_tracks();
