<?php
/**
 * Theme Name:      Noisa
 * Theme Author:    Mariusz Rek - Rascals Themes
 * Theme URI:       http://rascalsthemes.com/noisa
 * Author URI:      http://rascalsthemes.com
 * File:            index.php
 *
 * @package noisa
 * @since 1.0.0
 */

get_header();

// Get options
$noisa_opts = noisa_opts();

// Get layout
$noisa_layout = 'main-left';

// Animate
if ( $noisa_opts->get_option( 'page_title_animations' ) === 'on' ) {
	$animated = 'anim-css';
} else {
	$animated = '';
}
?>
<section class="intro-page-title intro <?php echo esc_attr( $animated ); ?> clearfix" style="min-height:400px;">
	<div class="intro-captions">
		<div class="container">
			<div class="caption-top"><h2 class="caption-title"><?php esc_html_e( 'Latest Blog Posts', 'noisa' ); ?></h2></div>
			<hr class="caption-divider">
			<div class="caption-bottom"><h6 class="caption-subtitle"><?php esc_html_e( 'Here are some news from our music site', 'noisa' ); ?></h6></div>	
		</div>
	</div>
</section>

<div id="content">

	<div class="container blog-classic blog-list clearfix">

		<div role="main" class="main <?php echo esc_attr( $noisa_layout ); ?>">
		<?php

		if ( have_posts() ) :

			// Start the Loop.
			while ( have_posts() ) :
				the_post();
				/*
				 * Include the post format-specific template for the content. If you want to
				 * use this in a child theme, then include a file called called content-___.php
				 * (where ___ is the post format) and that will be used instead.
				 */
				include locate_template( 'content.php', false, false ); 

			endwhile; 
			?>
			<div class="clear"></div>
			<?php noisa_paging_nav(); ?>

			<?php else : ?>
				<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'noisa' ); ?></p>

			<?php endif; // have_posts() ?>
			
		</div>
		<!-- .main -->
		<?php get_sidebar(); ?>
	</div>
	<!-- .container -->
</div>
<!-- #content -->

<?php
get_footer();